%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45
%define version 1.1.2
%define kderelease 3
%define sourcedir stable/%{version}/distribution/tar/generic/source

%define kdename kdegraphics
Name: %{kdename}
Icon: kde-icon.xpm
Summary: K Desktop Environment - Graphics Applications
Version: %{version}
Release: %{kderelease}
Serial: 2
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.bz2
Group: Applications/Multimedia
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: kdesupport
Prefix: %{kdeprefix}

%description
Graphics applications for the K Desktop Environment.

Includes: kdvi (displays TeX .dvi files); kfax (displays fax
files); kfract (a fractal generator); kghostview (displays postscript files);
kiconedit (icon editor); kpaint (a simple drawing program); ksnapshot (screen
capture utility); kview (image viewer for GIF, JPEG, TIFF, etc.).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdegraphics
make -f Makefile.cvs

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
%configure  \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
cp -a admin/config.sub kdvi/kpathsea
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- version from KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- updates to new libstdc++ and rpm standards.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane

